--- /dev/null
+smailq (1.2) unstable; urgency=low
+
+ * Initial release.
+
+ -- Raphaël Droz <raphael.droz@gmail.com> Fri, 23 Oct 2020 20:00:00 +0300
+
--- /dev/null
+Source: smailq
+Section: mail
+Priority: optional
+Maintainer: Raphaël Droz <raphael.droz@gmail.com>
+Build-Depends: python3, debhelper, docbook2x
+XS-Python-Version: current
+Standards-Version: 2.0.0-rc
+
+Package: smailq
+Replaces: mail-transport-agent
+Conflicts: mail-transport-agent
+Depends: python3
+Section: mail
+Architecture: all
+Description: A mail queue for lightweight SMTP clients (MSAs) like msmtp.
+Homepage: https://www.sthu.org/code/smailq.html
--- /dev/null
+smailq_1.2_all.deb mail optional
+smailq_1.2_amd64.buildinfo mail optional
--- /dev/null
+#!/bin/sh
+GITVERSION=`git describe --tags`
+#GITVERSION=`echo $GITVERSION | sed 's/-\([0-9]\+-g[0-9a-fA-F]\+\)/~\1/'`
+# ${GITVERSION/-g/~g}
+GITVERSION=`echo $GITVERSION | sed 's/^v//'`
+DEBVERSION=`head -1 debian/changelog | sed 's/.*(\(.*\)).*/\1/'`
+if [ "$DEBVERSION" != "$GITVERSION" ]; then
+ dch -v $GITVERSION "make release from git (see git changelog for more information)" || exit $?
+fi
+fakeroot debian/rules binary
--- /dev/null
+#!/usr/bin/make -f
+# -*- makefile -*-
+
+build: build-stamp
+
+build-stamp:
+ dh_testdir
+ $(MAKE)
+
+install: build
+ dh_testdir
+ dh_testroot
+ dh_prep
+ dh_installdirs
+
+ $(MAKE) install DESTDIR=$(CURDIR)/debian/tmp
+
+binary-indep: install
+ dh_testdir
+ dh_testroot
+ dh_installchangelogs
+ dh_installdocs
+ dh_installman
+ dh_fixperms
+ dh_installdeb
+ dh_gencontrol
+ dh_md5sums
+ dh_builddeb
+
+binary: binary-indep
+
+clean:
+ dh_clean
+ rm -f debian/postinst.debhelper debian/prerm.debhelper
+
+.PHONY: build install binary binary-indep clean
--- /dev/null
+dh_prep
+dh_installdirs
+dh_installchangelogs
+dh_installdocs
+dh_installman
+dh_fixperms
+dh_installdeb
+dh_gencontrol
+dh_md5sums
+dh_builddeb
--- /dev/null
+usr/share/smailq/smailq.conf.sample
+usr/share/man/man1/smailq.1.bz2
+usr/sbin/sendmail
+usr/bin/mailq
+usr/bin/smailq
--- /dev/null
+misc:Depends=
+misc:Pre-Depends=
--- /dev/null
+3.0 (native)
--- /dev/null
+https://git.sthu.org/?p=smailq.git;a=tags Version-(.+)\.tar\.gz
\ No newline at end of file